Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class AssertingAtomicReader.AssertingFields

    java.lang.Object
      org.apache.lucene.index.Fields
          org.apache.lucene.index.FilterAtomicReader.FilterFields
              org.apache.lucene.index.AssertingAtomicReader.AssertingFields

All Implemented Interfaces:
  Iterable<String>

Enclosing class:
  AssertingAtomicReader

    public static class AssertingAtomicReader.AssertingFields

extends FilterAtomicReader.FilterFields

Wraps a Fields but with additional asserts

Field Summary

Fields inherited from class org.apache.lucene.index.FilterAtomicReader.FilterFields
`in`

Fields inherited from class org.apache.lucene.index.Fields
`EMPTY_ARRAY`

Constructor Summary
`AssertingAtomicReader.AssertingFields(Fields in)`

Method Summary
`Iterator<String>` | `iterator()`
`Terms` | `terms(String field)`

Methods inherited from class org.apache.lucene.index.FilterAtomicReader.FilterFields
`size`

Methods inherited from class org.apache.lucene.index.Fields
`getUniqueTermCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssertingAtomicReader.AssertingFields

    public AssertingAtomicReader.AssertingFields(Fields in)

Method Detail

### iterator

    public Iterator<String> iterator()

  Specified by:
    `iterator` in interface `Iterable<String>`
  Overrides:
    `iterator` in class `FilterAtomicReader.FilterFields`

### terms

    public Terms terms(String field)
                throws IOException

  Overrides:
    `terms` in class `FilterAtomicReader.FilterFields`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.